package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.data.annotation.Transient;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "ANDON_ACTION_MODULE")
@EqualsAndHashCode(callSuper = true)
@Api("作业组件")
public class AndonActionModule extends BaseBean implements Serializable {

    private static final long serialVersionUID = -8909733530761576575L;

    @Column(name = "AM_CODE")
    @ApiParam("组件代码")
    private String amCode;

    @Column(name = "AM_NAME")
    @ApiParam("组件名称")
    private String amName;

    @Column(name = "AM_DESC")
    @ApiParam("组件描述")
    private String amDesc;

    @Column(name = "CALL_CLASS")
    @ApiParam("实现类")
    private String callClass;

    @Column(name = "AM_TYPE")
    @ApiParam("组件类型")
    private Integer amType;

    @Transient
    @ApiParam("执行顺序")
    private Integer seq;
}
