package cn.estsh.i3plus.pojo.andon.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "ANDON_ALARM_ROUTE_MODULE_PARAM")
@EqualsAndHashCode(callSuper = true)
@Api("安灯作业流程组件参数")
public class AndonAlarmRouteModuleParam extends BaseBean implements Serializable {

    private static final long serialVersionUID = 6659953988053255710L;

    @Column(name = "ALARM_ROUTE_ID")
    @ApiParam("安灯流程ID")
    private Long alarmRouteId;

    @Column(name = "ROUTE_CODE")
    @ApiParam("流程代码")
    private String routeCode;

    @Column(name = "AMG_ID")
    @ApiParam("组件集编号")
    private Long amgId;

    @Column(name = "AM_CODE")
    @ApiParam("组件代码")
    private String amCode;

    @Column(name = "PARAM_CODE")
    @ApiParam("参数代码")
    private String paramCode;

    @Column(name = "PARAM_VALUE")
    @ApiParam("参数值")
    private String paramValue;

    @Column(name = "STATUS_CODE")
    @ApiParam("状态代码")
    private String statusCode;
}
