package cn.estsh.i3plus.pojo.andon.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :安灯广播
 * @Reference :
 * @Author : crish
 * @CreateDate : 2019-10-11
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="ANDON_BROADCAST")
@Api("安灯广播")
public class AndonBroadCast extends BaseBean implements Serializable {

    private static final long serialVersionUID = -5383684820100076411L;

    @Column(name="DEVICE_NUM")
    @ApiParam("广播设备编号")
    private String targetIds;

    @Column(name="GROUP_NO")
    @ApiParam("分组号")
    private String groupNo;

    @Column(name="WORK_CENTER_CODE")
    @ApiParam("工作中心")
    private String workCenterCode;

    @Column(name="DEVICE_DEC")
    @ApiParam("广播设备名称")
    private String deviceDec;

    @Column(name="DEVICE_IP")
    @ApiParam("广播设备ip")
    private String deviceIp;

    @Column(name="PLAY_INTERVAL")
    @ApiParam("播放间隔")
    private Integer playInterval = 0;

    @Column(name="PLAY_PRIORITY")
    @ApiParam("播放优先级")
    private Integer playPriority = 500;

    @Column(name="VOLUME")
    @ApiParam("播放音量")
    private Integer volume;

    @Column(name="TTS_NAME")
    @ApiParam("广播语音引擎")
    private String voiceEngine;

    @Column(name="TEXT_ENCODE")
    @ApiParam("广播内容编码格式")
    private String textEncode = "UTF-8";

    @Column(name="PLAY_SPEED")
    @ApiParam("播放语速")
    private Integer playSpeed = 0;

    @Column(name="PLAY_TIME")
    @ApiParam("播放循环次数")
    private Integer playTime = 1;
}
