package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.AndonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.Interceptor;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description : ANDON_工位分组配置
 * @Reference :
 * @Author : crish.li
 * @CreateDate : 2019-11-21 11:07
 * @Modify:
 **/
@Data
@Entity
@Table(name="ANDON_CELL_GROUP_CFG")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api("ANDON_工位分组配置")
public class AndonCellGroupCfg extends BaseBean implements Serializable {

    private static final long serialVersionUID = 4801397986303698999L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam(value = "工作中心代码")
    private String workCenterCode;

    @Column(name = "WORK_CENTER_NAME")
    @ApiParam(value = "工作中心名称")
    private String workCenterName;

    @Column(name = "CELL_GROUP")
    @ApiParam(value = "工作单元组")
    private String cellGroup;

    @Column(name = "GROUP_CODE")
    @ApiParam(value = "分组代码")
    private String groupCode;

    @Column(name = "GROUP_NAME")
    @ApiParam(value = "分组名称")
    private String groupName;

    @Column(name = "HORIZONTAL_AXIS")
    @ApiParam(value = "横坐标")
    private Float horizontalAxis ;

    @Column(name = "VERTICAL_AXIS")
    @ApiParam(value = "纵坐标")
    private Float verticalAxis;

    @Column(name = "ABNORMAL_SRC")
    @ApiParam(value = "异常图片")
    private String abnormalSrc;

    @Column(name = "NORMAL_SRC")
    @ApiParam(value = "正常图片")
    private String normalSrc;
}
