package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description : ANDON_停机类型
 * @Reference :
 * @Author : hansen.ke
 * @CreateDate : 2019-05-13 9:45
 * @Modify:
 **/
@Data
@Entity
@Table(name="ANDON_HALT_TYPE")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api("ANDON_停机类型")
public class AndonHaltType extends BaseBean implements Serializable {

    private static final long serialVersionUID = -7816748747119429173L;

    @Column(name = "HALT_CODE")
    @ApiParam(value = "停机类型编码")
    private String haltCode;

    @Column(name = "HALT_NAME")
    @ApiParam(value = "停机类型名称")
    private String haltName;
}
