package cn.estsh.i3plus.pojo.andon.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :mes系统业务动作
 * @Reference :
 * @Author : crish
 * @CreateDate : 2019-04-19
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="MES_SHIFT")
@Api("班次信息")
public class MesShift extends BaseBean implements Serializable {

    private static final long serialVersionUID = -459263592129978101L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心")
    private String workCenterCode;

    @Column(name="SHIFT_CODE")
    @ApiParam("班次代码")
    private String shiftCode;

    @Column(name="SHIFT_NAME")
    @ApiParam("班次名称")
    private String shiftName;

    @Column(name="START_TIME")
    @ApiParam("开班时间")
    private String startTime;

    @Column(name="WORK_TIMES")
    @ApiParam("作业时长")
    private String workTimes;

    public MesShift() {
    }

    public MesShift(String workCenterCode,String organizeCode) {
        this.workCenterCode = workCenterCode;
        this.organizeCode = organizeCode;
    }
}
