package cn.estsh.i3plus.pojo.form.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 表单拾取属性
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-05-27 21:21
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BF_ELEMENT_PICK_UP_PROPERTY")
@Api(value = "表单拾取属性", description = "表单拾取属性")
public class BfElementPickUpProperty extends BaseBean {

    @Column(name = "PICK_UP_PROPERTY_ID")
    @ApiParam(value = "拾取属性id", example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long pickUpPropertyId;

    @Column(name = "ELEMENT_ID")
    @ApiParam(value = "对象元素ID", example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long elementId;

    @Column(name="ELEMENT_PROPERTY_ID")
    @ApiParam(value ="元素属性id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long elementPropertyId;

    @Column(name="ELEMENT_PROPERTY_NAME")
    @ApiParam(value ="元素属性名称")
    private String elementPropertyName;

    @Column(name = "PICK_UP_ELEMENT_ID")
    @ApiParam(value = "拾取元素ID", example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long pickUpElementId;

    @Column(name="PICK_UP_ELEMENT_PROPERTY_ID")
    @ApiParam(value ="拾取元素属性id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long pickUpElementPropertyId;

    @Column(name="PICK_UP_ELEMENT_PROPERTY_NAME")
    @ApiParam(value ="拾取元素属性名称")
    private String pickUpElementPropertyName;

}
