package cn.estsh.i3plus.pojo.mes.pcn.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description :物料关键数据
 * @Reference :
 * @Author : crish
 * @CreateDate : 2019-05-15
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_KP_DATA")
@Api("生产区域")
public class MesKpData extends BaseBean implements Serializable {
    private static final long serialVersionUID = -3332582267186642790L;
    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name = "KEY_DATA_CODE")
    @ApiParam("关键数据代码")
    private String keyDataCode;

    @Column(name = "KEY_DATA_NAME")
    @ApiParam("关键数据名称")
    private String keyDataName;

    @Column(name = "KEY_DATA_COUNT")
    @ApiParam("关键数据数量")
    private Integer keyDataCount;

    @Column(name = "UPPER_LIMIT")
    @ApiParam("数据上限")
    private Double upperLimit;

    @Column(name = "LOWER_LIMIT")
    @ApiParam("数据下限")
    private Double lowerLimit;

    @Transient
    @ApiParam("扭矩值")
    private Double torqueValue;

    @Transient
    @ApiParam("是否在范围之内")
    private Boolean ok;
}
