package cn.estsh.i3plus.pojo.mes.pcn.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description :物料信息
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-02
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_PART")
@Api("物料信息")
public class MesPart extends BaseBean implements Serializable {
    private static final long serialVersionUID = 3936033255397936854L;
    @Column(name = "PART_NO")
    @ApiParam("零件号")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("零件名称")
    private String partName;

    @Column(name = "BRIEF_TEXT")
    @ApiParam("零件简称")
    private String briefText;

    @Column(name = "PART_SPEC")
    @ApiParam("零件规格")
    private String partSpec;

    @Column(name = "CATEGORY_CODE1")
    @ApiParam("分类1")
    private String categoryCode1;

    @Column(name = "CATEGORY_CODE2")
    @ApiParam("分类2")
    private String categoryCode2;

    @Column(name = "CATEGORY_CODE3")
    @ApiParam("分类3")
    private String categoryCode3;

    @Column(name = "UNIT")
    @ApiParam("单位")
    private String unit;

    @Column(name = "PACK_SPEC_CODE")
    @ApiParam("包装规格代码")
    private String packSpecCode;

    @Column(name = "DEFAULT_WORK_CENTER")
    @ApiParam("默认工作中心")
    private String defaultWorkCenter;

    @Column(name = "PRODUCE_CTGY_CODE")
    @ApiParam("产品类型代码")
    private String produceCategoryCode;

    @Column(name = "PROCESS_MATCH_TYPE")
    @ApiParam("过程编码匹配类型")
    private Integer processMatchType;

    @Column(name = "PACKAGE_MATCH_TYPE")
    @ApiParam("包装编码匹配类型")
    private Integer packageMatchType;

    @Column(name = "PRODUCT_MATCH_TYPE")
    @ApiParam("产品编码匹配类型")
    private Integer productMatchType;

    @Transient
    @ApiParam("分类名称")
    private String categoryName;
}
