package cn.estsh.i3plus.pojo.mes.pcn.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description :散件产品配置明细
 * @Reference :
 * @Author : zcg
 * @Date : 2020/3/9 0009 - 17:52
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_PROD_SCATTER_CFG_BOM")
@Api("散件产品配置明细")
public class MesProdScatterCfgBom extends BaseBean implements Serializable {

    @Column(name = "SP_CFG_CODE")
    @ApiParam("散件配置编码")
    private String spCfgCode;

    @Column(name = "PRODUCE_CTGY_CODE")
    @ApiParam("产品位置代码")
    private String produceCtgyCode;

    @Column(name = "PART_NO")
    @ApiParam("散件产品代码")
    private String partNo;

    @Column(name = "ITEM_PART_NO")
    @ApiParam("原材料物料号")
    private String itemPartNo;

    @Column(name = "QTY")
    @ApiParam("用量")
    private BigDecimal qty;

    @Column(name = "IS_KEY_PART")
    @ApiParam("是否关键件")
    private Integer isKeyPart ;
}
