package cn.estsh.i3plus.pojo.mes.pcn.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description : 工站队列
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2019-05-22 17:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_WORK_CELL_POINT")
@Api("工站队列")
public class MesWorkCellPoint extends BaseBean implements Serializable {
    private static final long serialVersionUID = 2881841596678871526L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

    @Column(name = "QUEUE_SEQ")
    @ApiParam("队列主表序号")
    private Double queueSeq;

    @Column(name = "QUEUE_DETAIL_SEQ")
    @ApiParam("队列明细表序号")
    private Double queueDetailSeq;

    public double getQueueSeqVal() {
        return this.queueSeq == null ? 0 : this.queueSeq;
    }

    public double getQueueDetailSeqVal() {
        return this.queueDetailSeq == null ? 0 : this.queueDetailSeq;
    }
}
