package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/7/30 9:30 AM
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "IF_EDI_INITIAL_DATA")
@Api("EDI_初始数据表")
public class IfEdiInitialData extends BaseBean implements Serializable {
    private static final long serialVersionUID = -523843818485699827L;

    @Column(name = "PROGRAM_DATA")
    @ApiParam("EDI抓取程序代码")
    private String programData;

    @Column(name = "CONTENT")
    @ApiParam("数据")
    private String content;

    @Column(name = "FILE_NAME")
    @ApiParam("文件名称")
    private String fileName;

    @Lob
    @Column(name = "FILE_URL")
    @ApiParam("文件URL")
    private String fileUrl;

    @Column(name = "SYNC_STATUS")
    @ApiParam("同步状态")
    private Integer syncStatus = CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue();


}
