package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :停机记录表
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2020-06-03 15:38
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_AGV_STOP_RECORD")
@Api("MES_停机记录表")
public class MesAgvStopRecord extends BaseBean implements Serializable {
    private static final long serialVersionUID = -8961182851767690154L;
    @Column(name = "STOP_TYPE")
    @ApiParam("停机类型")
    private Integer stopType;

    @Column(name = "PRODUCT_SN")
    @ApiParam("产品条码")
    private String productSn;

    @Column(name = "SERIAL_NUMBER")
    @ApiParam("过程条码")
    private String serialNumber;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

    @Column(name = "STOP_START_TIME")
    @ApiParam("停机开始时间")
    private String stopStartTime;

    @Column(name = "STOP_END_TIME")
    @ApiParam("停机结束时间")
    private String stopEndTime;

    @Column(name = "STOP_REASON")
    @ApiParam("停机原因")
    private String stopReason;
}
