package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: jessica.chen
 * @CreateDate:
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_BLIND_HISTORY")
@Api("MES_盲检记录")
public class MesBlindHistory extends BaseBean implements Serializable {
    private static final long serialVersionUID = -7459452475180601499L;

    @Column(name = "SERIAL_NUMBER")
    @ApiParam("产品条码")
    private String serialNumber;

    @Column(name = "BLIND_OBJECT")
    @ApiParam("盲检对象")
    private String blindObject;

    @Column(name = "BLIND_ITEM")
    @ApiParam("盲检问题")
    private String blindItem;

    @Column(name = "SYSTEM_ANSWER")
    @ApiParam("系统答案")
    private String systemAnswer;

    @Column(name = "CHOOSED_ANSWER")
    @ApiParam("选中答案")
    private String choosedAnswer;

    @Column(name = "CHECKED")
    @ApiParam("是否一致")
    private Integer checked;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Transient
    @ApiParam("主队列编号")
    private String orderNo;

}
