package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/20 5:01 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_BOARD_EQU_STATUS")
@Api("MES_看板设备状态")
public class MesBoardEquStatus extends BaseBean implements Serializable {

    private static final long serialVersionUID = -8426698586967483537L;

    @Column(name = "BOARD_CODE")
    @ApiParam("看板代码")
    private String boardCode;

    @Column(name = "EQU_STATUS_CODE")
    @ApiParam("状态代码")
    private Integer equStatusCode;

    @Column(name = "EQU_STATUS_DESC")
    @ApiParam("状态描述")
    private String equStatusDesc;

    @Column(name = "COLOR")
    @ApiParam("颜色")
    private String color;
}
