package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/20 5:19 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_BOARD_MONITOR_OBJECT")
@Api("MES_看板监控对象")
public class MesBoardMonitorObject extends BaseBean implements Serializable {

    private static final long serialVersionUID = 4136991652901768961L;

    @Column(name = "BOARD_CODE")
    @ApiParam("看板代码")
    private String boardCode;

    @Column(name = "OBJECT_TYPE")
    @ApiParam("对象类型")
    private String objectType;

    @Column(name = "OBJECT_VALUE")
    @ApiParam("对象值")
    private String objectValue;

    @Column(name = "OBJECT_VALUE_DESC")
    @ApiParam("对象值描述")
    private String objectValueDesc;
}
