package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/20 5:24 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_BOARD_SHIFT_SECTION_CAPACITY")
@Api("MES_看板时段计划产量")
public class MesBoardShiftSectionCapacity extends BaseBean implements Serializable {

    private static final long serialVersionUID = -1184108324734484237L;

    @Column(name = "BOARD_CODE")
    @ApiParam("看板代码")
    private String boardCode;

    @Column(name = "PLAN_DATE")
    @ApiParam("计划日期")
    private String planDate;

    @Column(name = "SHIFT_CODE")
    @ApiParam("班次代码")
    private String shiftCode;

    @Column(name = "START_TIME")
    @ApiParam("开始时段")
    private String startTime;

    @Column(name = "END_TIME")
    @ApiParam("结束时段")
    private String endTime;

    @Column(name = "PLAN_CAPACITY")
    @ApiParam("计划产量")
    private Integer planCapacity;

    @Transient
    @ApiParam("实际产量")
    private Integer actualCapacity;
}
