package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/6/27 21:39
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_EDI_PARSER_CONFIG")
@Api("EDI解析配置表")
public class MesEdiParserConfig extends BaseBean implements Serializable {
    private static final long serialVersionUID = 7225381299744633270L;

    @Column(name = "PARSER_CODE")
    @ApiParam("解析配置代码")
    private String parserCode;

    @Column(name = "PARSER_NAME")
    @ApiParam("解析配置名称")
    private String parserName;

    @Column(name = "PARSER_TYPE")
    @ApiParam("解析程序集")
    private String parserType;

    @Column(name = "GETTING_CODE")
    @ApiParam("edi抓取程序代码")
    private String gettingCode;

    @Column(name = "CURRENT_ORDER")
    @ApiParam("当前订单号")
    private String currentOrder;


}
