package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :设备通知对象配置
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-10-11
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="MES_EQU_NOTIFY_OBJECT_CFG")
@Api("设备通知对象配置")
public class MesEquNotifyObjectCfg extends BaseBean implements Serializable {
    private static final long serialVersionUID = 952143489409789623L;
    @Column(name="NOTIFY_OBJECT_CODE")
    @ApiParam("对象代码")
    private String notifyObjectCode;

    @Column(name="NOTIFY_OBJECT_NAME")
    @ApiParam("对象名称")
    private String notifyObjectName;

    @Lob
    @Column(name="NOTIFY_OBJECT_VALUE")
    @ApiParam("对象值")
    private String notifyObjectValue;

    @Lob
    @Column(name="NOTIFY_OBJECT_VALUE_RDD")
    @ApiParam("对象值")
    private String notifyObjectValueRdd;

    @Column(name="NOTIFY_OBJECT_TYPE")
    @ApiParam("对象类型")
    private Integer notifyObjectType;

    @Transient
    @ApiParam("对象类型名称")
    private String notifyObjectTypeName;

}
