package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :设备点检保养作业记录
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-10-11
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_EQU_TASK_STANDARD_RECORD", indexes = {
        @Index(columnList = "EQUIPMENT_CODE")
})
@Api("设备点检保养作业记录")
public class MesEquTaskStandardRecord extends BaseBean implements Serializable {

    private static final long serialVersionUID = -4122427049015017390L;
    @Column(name = "TASK_NO")
    @ApiParam("作业任务编号")
    private String taskNo;

    @Column(name = "TASK_TYPE")
    @ApiParam("作业类型")
    private Integer taskType;

    @Column(name = "EQUIPMENT_CODE")
    @ApiParam("设备代码")
    private String equipmentCode;

    @Column(name = "EQUIPMENT_NAME")
    @ApiParam("设备名称")
    private String equipmentName;

    @Column(name = "ACTION_ITEM")
    @ApiParam("操作项")
    private String actionItem;

    @Column(name = "ACTION_STANDARD")
    @ApiParam("操作标准")
    private String actionStandard;

    @Column(name = "ACTION_GUIDE")
    @ApiParam("操作指导")
    private String actionGuide;

    @Column(name = "CHECK_VALUE")
    @ApiParam("检测值")
    private String checkValue;

    @Column(name = "CHECK_RESULT")
    @ApiParam("判定结果")
    private Integer checkResult;

    @Column(name = "FINAL_RESULT")
    @ApiParam("整体结果")
    private Integer finalResult;

    @Column(name = "MEMO")
    @ApiParam("备注")
    private String memo;

    @Transient
    @ApiParam("作业类型")
    private String taskTypeName;

    @Transient
    @ApiParam("整体结果")
    private String finalResultName;

    @Transient
    @ApiParam("判定结果")
    private String checkResultName;

}
