package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description :生产设备
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-02
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_EQUIPMENT")
@Api("生产设备")
public class MesEquipment extends BaseBean implements Serializable {
    private static final long serialVersionUID = 5167143191710128193L;
    @Column(name = "EQUIPMENT_CODE")
    @ApiParam("设备代码")
    private String equipmentCode;

    @Column(name = "EQUIPMENT_NAME")
    @ApiParam("设备名称")
    private String equipmentName;

    @Column(name = "STATUS")
    @ApiParam("设备状态")
    private Integer status;

    @Column(name = "EQUIPMENT_TYPE")
    @ApiParam("设备类型")
    private Integer equipmentType;

    @Column(name = "EQUIPMENT_CATEGORY")
    @ApiParam("设备类别")
    private String equipmentCategory;

    @Column(name = "EQUIPMENT_MODEL")
    @ApiParam("型号")
    private String equipmentModel;

    @Column(name = "EQUIPMENT_SPEC")
    @ApiParam("规格")
    private String equipmentSpec;

    @Column(name = "EQUIPMENT_MAKER")
    @ApiParam("制造商")
    private String equipmentMaker;

    @Column(name = "RELEASE_DATE")
    @ApiParam("出厂日期")
    private String releaseDate;

    @Column(name = "RECEIVE_DATE")
    @ApiParam("接收日期")
    private String receiveDate;

    @Column(name = "ENABLE_DATE")
    @ApiParam("启用日期")
    private String enableDate;

    @Column(name = "CONNECT_TYPE")
    @ApiParam("连接类型")
    private Integer connectType;

    @Column(name = "CHECK_MODEL")
    @ApiParam("作业校验模式")
    private Integer checkModel;

    @Column(name = "MEMO")
    @ApiParam("备注")
    private String memo;

    @Transient
    @ApiParam(value = "名称")
    private String name;

    @Transient
    @ApiParam(value = "生产线")
    private String workCenterCode;

    @Transient
    @ApiParam(value = "工位")
    private String workCellCode;

    @Transient
    @ApiParam(value = "区域")
    private String areaCode;

    // 默认值 -1
    @Transient
    @ApiParam(value = "父节点", access = "父节点", example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long parentId;
}
