package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :mes系统业务事件动作
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-12
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_EVENT_ACTION")
@Api("系统业务事件动作")
public class MesEventAction extends BaseBean implements Serializable {
    private static final long serialVersionUID = 1188871471049646861L;

    @Column(name = "EVENT_CODE")
    @ApiParam("事件代码")
    private String eventCode;

    @Column(name = "ACTION_CODE")
    @ApiParam("动作代码")
    private String actionCode;

    @Column(name = "SEQ")
    @ApiParam("序号")
    private Integer seq;

    public int getSeqVal() {
        return this.seq == null ? 0 : this.seq;
    }


}
