package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.MesEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: wangjie
 * @CreateDate: 2019\11\5 10:47
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_EXTEND_OBJECT_CFG")
@Api("扩展对象结构")
public class MesExtendObjectCfg extends BaseBean implements Serializable {

    private static final long serialVersionUID = -6773040095905972250L;

    @Column(name = "OBJECT_CODE")
    @ApiParam("对象代码")
    private String objectCode;

    @Column(name = "FIELD_CODE")
    @ApiParam("扩展字段代码")
    private String fieldCode;

    @Column(name = "FIELD_NAME")
    @ApiParam("扩展字段名称")
    private String fieldName;

    @Column(name = "FIELD_TYPE")
    @ApiParam("扩展字段类型")
    @AnnoOutputColumn(refClass = MesEnumUtil.DATA_FORMAT.class, refForeignKey = "value", value = "description")
    private Integer fieldType;

    @Column(name = "FIELD_LENGTH")
    @ApiParam("扩展字段长度")
    private String fieldLength;

    @Column(name = "DEFAULT_VALUE")
    @ApiParam("默认值")
    private String defaultValue;

    @Column(name = "FIELD_DESC")
    @ApiParam("扩展字段描述")
    private String fieldDesc;
}
