package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\10\10 0010 11:53
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_FAULT_METHOD")
@Api("MES_故障处理措施")
public class MesFaultMethod extends BaseBean implements Serializable {

    private static final long serialVersionUID = -1366849757709967125L;
    @Column(name = "FM_CODE")
    @ApiParam("故障方法代码")
    private String fmCode;

    @Column(name = "FM_NAME")
    @ApiParam("故障方法描述")
    private String fmName;

    // 对应(类型信息MesTypeCfg）中的BUSINESS_TYPE_CODE字段
    @Column(name = "FM_TYPE")
    @ApiParam("故障措施类型编码")
    private String fmType;
}
