package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/12/4 1:28 下午
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_FILE")
@Api("文件表")
public class MesFile extends BaseBean implements Serializable {
    private static final long serialVersionUID = 5057339077996828057L;

    @Column(name = "FILE_NAME")
    @ApiParam("文件名称")
    private String fileName;

    @Column(name = "FILE_URL")
    @ApiParam("文件URL")
    private String fileUrl;

    @Column(name = "GROUP_NAME")
    @ApiParam("组名")
    private String groupName;

    @Column(name = "FILE_ORIGIN_NAME")
    @ApiParam("文件原名")
    private String fileOriginName;

    @Column(name = "FILE_SIZE")
    @ApiParam("文件大小")
    private String fileSize;

    @Column(name = "FILE_TYPE")
    @ApiParam("文件类型名称")
    private String fileType;

    @Column(name = "SYNC_TAG")
    @ApiParam("同步标记")
    private Integer syncTag = 0;
}
