package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/5/27 2:20 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_GUN_CALIBRATION_RECORD")
@Api("校枪记录表")
public class MesGunCalibrationRecord extends BaseBean implements Serializable {

    private static final long serialVersionUID = -6166370020956801528L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

    @Column(name = "GUN_CODE")
    @ApiParam("枪号")
    private String gunCode;

    @Column(name = "CUN_TYPE")
    @ApiParam("扭矩枪类型")
    private String cunType;

    @Column(name = "PSET_CODE")
    @ApiParam("PSET号")
    private String psetCode;

    @Column(name = "EXPECT_COUNT")
    @ApiParam("设定枪数")
    private Integer expectCount;

    @Column(name = "REAL_COUNT")
    @ApiParam("实际枪叔")
    private Integer realCount;

    @Column(name = "CALIBRATION_STATUS")
    @ApiParam("校枪状态")
    private Integer calibrationStatus;

    @Column(name = "START_TIME")
    @ApiParam("开始校枪时间")
    private String startTime;

    @Column(name = "END_TIME")
    @ApiParam("结束校枪时间")
    private String endTime;

    @Transient
    @ApiParam("校枪状态名称")
    private String calibrationStatusName;

    @Transient
    @ApiParam("界面编号")
    private String windowNo;
}
