package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/8/3 17:51
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_HNC_AGV_RUNNING")
@Api("延锋海纳川agv运行状态表")
public class MesHncAgvRunning extends BaseBean implements Serializable {
    private static final long serialVersionUID = 4293079676019967513L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("产线")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工位")
    private String workCellCode;

    @Column(name = "TIME_OUT")
    @ApiParam("倒计时超时")
    private Integer timeOut;

    @Column(name = "DELAY_HELP")
    @ApiParam("延时帮助")
    private Integer delayHelp;

    @Column(name = "EMERGENCY_STOP")
    @ApiParam("紧急停止")
    private Integer emergencyStop;
}
