package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description :MES_库位信息
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-12
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_LOCATION")
@Api("MES_库位信息")
public class MesLocation extends BaseBean implements Serializable {
    private static final long serialVersionUID = -896118285166769048L;
    @Column(name = "LOCATION_CODE")
    @ApiParam("库位代码")
    private String locationCode;

    @Column(name = "LOCATION_NAME")
    @ApiParam("库位名称")
    private String locationName;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "QTY")
    @ApiParam("数量")
    private Double qty = 0d;

    @Column(name = "MAX_QTY")
    @ApiParam("最大存储量")
    private Integer maxQty = 0;

    @Column(name = "IS_SMALL_SIZE")
    @ApiParam("是否小尺寸物料")
    private Integer isSmallSize = 1;

    @Transient
    @ApiParam("物料名称")
    private String partNameRdd;

    @Transient
    @ApiParam("包装编号集合")
    private String packageNoList;
}
