package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: jessica.chen
 * @CreateDate: 2019\11\15 10:01
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_LOOP_QC_GENERATE_DETAIL")
@Api("MES_巡检项生成明细")
public class MesLoopQcGenerateDetail extends BaseBean  implements Serializable {

    private static final long serialVersionUID = -5412635747424111476L;
    @Column(name = "RELATION_ORDER_NO")
    @ApiParam("关联单号")
    private String relationOrderNo;

    @Column(name = "CHECK_TYPE")
    @ApiParam("检测类型")
    private Integer checkType;

    @Column(name = "CHECK_ITEM")
    @ApiParam("检测项")
    private String checkItem;

    @Column(name = "LASR_TIME")
    @ApiParam("末次时间")
    private String lasrTime;

    @ApiParam(value = "物料号")
    @Transient
    private String partNo;

    @ApiParam(value = "产线")
    @Transient
    private String workCenterCode;
}
