package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:车型等级
 * @Reference:
 * @Author: adair.song
 * @CreateDate: 2020\05\14 10:34
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_MODEL_GRADE")
@Api("MES_车型等级")
public class MesModelGrade extends BaseBean implements Serializable {
    private static final long serialVersionUID = -5412635747427364076L;

    @Column(name = "GRADE_CODE")
    @ApiParam("等级代码")
    private String gradeCode;

    @Column(name = "GRADE_NAME")
    @ApiParam("等级名称")
    private String gradeName;

    @Column(name = "PROD_CFG_TYPE_CODE")
    @ApiParam("项目代码")
    private String prodCfgTypeCode;

    @Column(name = "GRADE_FLAG_VALUE")
    @ApiParam("等级标识值")
    private String gradeFlagValue;
}
