package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/28 4:12 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_OPERATE_OBJECT_CFG")
@Api("MES_运算对象属性配置")
public class MesOperateObjectCfg extends BaseBean implements Serializable {

    private static final long serialVersionUID = -8066603810736365082L;

    @Column(name = "OBJECT_CODE")
    @ApiParam("对象代码")
    private String objectCode;

    @Column(name = "ATTRIBUTE_CODE")
    @ApiParam("属性代码")
    private String attributeCode;

    @Column(name = "VALUE_TYPE")
    @ApiParam("赋值类型")
    private String valueType;

    @Column(name = "METHOD_CODE")
    @ApiParam("函数方法")
    private String methodCode;

    @Column(name = "JOB_ID")
    @ApiParam("job编号")
    private String jobId;

    @Column(name = "SPEL_CONTENT")
    @ApiParam("spel表达式")
    private String spelContent;

    @Column(name = "SEQ")
    @ApiParam("运算顺序")
    private Integer seq;

    @Transient
    @ApiParam("属性名称")
    private String attributeName;

    @Transient
    @ApiParam("属性类型")
    private Integer attributeType;
}
