package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : zcg
 * @Date : 2020/3/16 0016 - 15:45
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_PART_FORMULA")
@Api("MES_物料配方")
public class MesPartFormula extends BaseBean implements Serializable {

    private static final long serialVersionUID = 4905294092563287950L;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name = "FORMULA_CONTENT")
    @ApiParam("配方内容")
    private String formulaContent;

    @Column(name = "FORMULA_DESC")
    @ApiParam("配方描述")
    private String formulaDesc;

    @Column(name = "QTY")
    @ApiParam("配方零件总数")
    private Integer qty;

    @Column(name = "FORMULA_TYPE")
    @ApiParam("配方类型")
    private Integer formulaType;

}
