package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/3/11 8:59 上午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_PROD_SCATTER_DETAIL")
@Api("MES_散件产品配置关系")
public class MesProdScatterDetail extends BaseBean implements Serializable {

    private static final long serialVersionUID = -3602480079910597288L;

    @Column(name = "SP_CFG_CODE")
    @ApiParam("散件配置编码")
    private String spCfgCode;

    @Column(name = "PRODUCE_CTGY_CODE")
    @ApiParam("产品位置代码")
    private String produceCtgyCode;

    @Column(name = "PART_NO")
    @ApiParam("散件产品代码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("散件产品名称")
    private String partName;
}
