package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: jessica.chen
 * @CreateDate: 2019\11\15 10:01
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_QC_ORDER_ACCESSORY")
@Api("MES_检验单附件")
public class MesQcOrderAccessory extends BaseBean  implements Serializable {

    private static final long serialVersionUID = 2648132773643541110L;

    @Column(name = "ORDER_NO")
    @ApiParam("质检单号")
    private String orderNo;

    @Column(name = "ACCESSORY_NAME")
    @ApiParam("附件名称")
    private String accessoryName;

    @Column(name = "ACCESSORY_URL")
    @ApiParam("附件路径")
    private String accessoryUrl;

    @Column(name = "FASTDFS_URL")
    @ApiParam("fastDfs地址")
    private String fastdfsUrl;
}
