package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;
import java.util.List;

/**
 * @Description :质量标准配置
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-02
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_QUALITY_STANDARD_CFG")
@Api("质量标准配置")
public class MesQualityStandardCfg extends BaseBean implements Serializable {

    private static final long serialVersionUID = -4529686898125790351L;
    @Column(name = "STANDARD_TYPE")
    @ApiParam("标准类型")
    private Integer standardType;

    @Column(name = "OBJECT_TYPE")
    @ApiParam("对象类型")
    private Integer objectType;

    @Column(name = "OBJECT_KEY_VALUE")
    @ApiParam("对象键值")
    private String objectKeyValue;

    @Column(name = "OBJECT_KEY")
    @ApiParam("对象键")
    private String objectKey;

}
