package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :MES_JIT发运队列明细
 * @Reference :
 * @Author : qianhausheng
 * @CreateDate : 2020-03-06 10:16 上午
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_QUEUE_SHIPPING_DETAIL")
@Api("MES_JIT发运队列明细")
public class MesQueueShippingDetail extends BaseBean implements Serializable {

    private static final long serialVersionUID = 1442091799346314190L;

    @Column(name = "JIT_NO")
    @ApiParam("队列编号")
    private String jitNo;

    @Column(name = "PROD_CFG_CODE")
    @ApiParam("配置代码")
    private String prodCfgCode;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

    @Column(name = "status")
    @ApiParam("状态")
    private Integer status;

    @Column(name="SERIAL_NUMBER")
    @ApiParam("过程条码")
    private String serialNumber;

    @Column(name = "QUEUE_GROUP_NO")
    @ApiParam("分组队列编号")
    private String queueGroupNo;

    @Column(name = "GROUP_NO")
    @ApiParam("组内编号")
    private Integer groupNo;

    @Column(name = "GROUP_SEQ")
    @ApiParam("分组序号")
    private String groupSeq;

    @Column(name = "qty")
    @ApiParam("数量")
    private Double qty;

    @Column(name = "SEQ")
    @ApiParam("队列明细序号")
    private Double seq;

    @Column(name = "PRODUCE_COLOR")
    @ApiParam("产品颜色")
    private String produceColor;
}
