package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author adair.song
 * @date 2020/06/17 13:12
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "MES_SCATTER_BOM_CFG")
@EqualsAndHashCode(callSuper = true)
@Api("MES_散件BOM配置")
public class MesScatterBomCfg extends BaseBean implements Serializable {

    private static final long serialVersionUID = 521506217898252289L;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name = "CUSTOMER_PART_NO")
    @ApiParam("客户零件号")
    private String customerPartNo;

    @Column(name = "PART_LOCATION1")
    @ApiParam("产品位置1")
    private String partLocation1;

    @Column(name = "PART_LOCATION2")
    @ApiParam("产品位置2")
    private String partLocation2;

    @Column(name = "PART_LOCATION3")
    @ApiParam("产品位置3")
    private String partLocation3;

    @Column(name = "PART_LOCATION4")
    @ApiParam("产品位置4")
    private String partLocation4;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

    @Column(name = "CATEGORY_CODE2")
    @ApiParam("类型2")
    private String categoryCode2;

    @Column(name = "CATEGORY_CODE3")
    @ApiParam("类型3")
    private String categoryCode3;

    @Column(name = "IS_BIND_KEY")
    @ApiParam("是否关键件")
    private Integer isBindKey = 1;

    @Column(name = "CHECK_GROUP")
    @ApiParam("校验分组号")
    private String checkGroup;

    @Column(name = "OPTION_CODE")
    @ApiParam("选项代码")
    private String optionCode;

    @Column(name = "RECIPE_ITEM")
    @ApiParam("配方项")
    private String recipeItem;

    @Column(name = "RECIPE_SEQ")
    @ApiParam("配方序号")
    private String recipeSeq;

    @Column(name = "CHANGE_NO")
    @ApiParam("change No")
    private String changeNo;
}
