package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/3/30 11:48
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_SM_ROUTE_OPT_PARAM")
@Api("产品流程状态机配置操作参数表")
public class MesSmRouteOptParam extends BaseBean implements Serializable {
    private static final long serialVersionUID = -5466013923105175070L;

    @Column(name = "PROD_ROUTE_CFG_ID")
    @ApiParam("产品流程Id")
    private Integer prodRouteCfgId;

    @Column(name="ROUTE_CODE")
    @ApiParam("流程代码")
    private String routeCode;

    @Column(name="PROCESS_CODE")
    @ApiParam("工序代码")
    private String processCode;

    @Column(name="STEP_CODE")
    @ApiParam("工步代码")
    private String stepCode;

    @Column(name="STEP_SEQ")
    @ApiParam("工步顺序")
    private Integer stepSeq;

    @Column(name="PARAM_TYPE")
    private Integer paramType;

    @Column(name="PARAM_CODE")
    private String paramCode;

    @Column(name="PARAM_VALUE")
    private String paramValue;

    @Column(name="IS_ACTION")
    private Integer isAction;
}
