package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/9/21 1:45 PM
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_WC_CURRENT_STATUS")
@Api("工位实时状态表")
public class MesWcCurrentStatus extends BaseBean implements Serializable {

    private static final long serialVersionUID = -4224360275760211780L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元")
    private String workCellCode;

    @Column(name = "VIN_CODE")
    @ApiParam("当前VIN号")
    private String vinCode;

    @Column(name = "LAST_VIN_CODE")
    @ApiParam("上一VIN号")
    private String lastVinCode;

}
