package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/26 11:43 上午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_WINDOW")
@Api("MES_看板界面")
public class MesWindow extends BaseBean implements Serializable {

    private static final long serialVersionUID = -55209393692924780L;

    @Column(name = "WINDOW_NO")
    @ApiParam("界面编号")
    private String windowNo;

    @Column(name = "WINDOW_NAME")
    @ApiParam("界面名称")
    private String windowName;

    @Column(name = "WINDOW_TYPE")
    @ApiParam("界面类型")
    private Integer windowType;

    @Column(name = "MEMO")
    @ApiParam("备注")
    private String memo;

    @Transient
    @ApiParam("顺序")
    private Integer seq;
}
