package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : zcg
 * @Date : 2020/3/20 0020 - 16:25
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_WINDOW_MODULE_PARAM")
@Api("MES_界面组件参数配置")
public class MesWindowModuleParam extends BaseBean implements Serializable {
    private static final long serialVersionUID = -5834883080240684524L;

    @Column(name = "WINDOW_NO")
    @ApiParam("界面编号")
    private String windowNo;

    @Column(name = "MODULE_CODE")
    @ApiParam("组件代码")
    private String moduleCode;

    @Column(name = "PARAM_CODE")
    @ApiParam("参数代码")
    private String paramCode;

    @Column(name = "PARAM_VALUE")
    @ApiParam("参数值")
    private String paramValue;
}
