package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description :工作单元参数
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-08-30
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_WORK_CELL_PARAM")
@Api("mes工作单元参数")
public class MesWorkCellParam extends BaseBean implements Serializable {
    private static final long serialVersionUID = 1017369816822438021L;

    @Column(name = "PARAM_CODE")
    @ApiParam("参数代码")
    private String paramCode;

    @Column(name = "PARAM_NAME")
    @ApiParam("参数名称")
    private String paramName;

    @Column(name = "PARAM_TYPE")
    @ApiParam("参数类型")
    private Integer paramType;

    @Column(name = "PARAM_MODEL")
    @ApiParam("参数模式")
    private Integer paramModel;

    @Transient
    @ApiParam("参数类型名称")
    private String paramTypeName;

    @Transient
    @ApiParam("参数模式名称")
    private String paramModelName;
}
