package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :MES_工单启动池
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2020-06-28
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_WORK_START_CACHE")
@Api("MES_工单启动池")
public class MesWorkStartCache extends BaseBean implements Serializable {
    private static final long serialVersionUID = 4320604250440221045L;
    @Column(name = "ORDER_NO")
    @ApiParam("工单号")
    private String orderNo;

    @Column(name = "AREA_CODE")
    @ApiParam("区域代码")
    private String areaCode;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "ACTUAL_START_TIME")
    @ApiParam("实际启动时间")
    private String actualStartTime;

    @Column(name = "STATUS")
    @ApiParam("状态")
    private Integer status;
}
