package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.*;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;
/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/21 6:55 下午
 * @Modify:
 */
@Data
public class BoardModel {

    @ApiParam("看板名称")
    private String boardName;

    @ApiParam("班别")
    private String shiftName;

    @ApiParam("对象值描述")
    private String objectValueDesc;

    @ApiParam("计划人数")
    private Integer planPeopleNum;

    @ApiParam("实际人数")
    private Integer actualPeopleNum;

    @ApiParam("计划产量")
    private Integer planCapacity;

    @ApiParam("目标达成数")
    private Integer achievedNum;

    @ApiParam("看板图片路径")
    private String pictureUrl;

    @ApiParam("当天停机时间(min)")
    private String theDayShutDownTime;


    @ApiParam("今日产量")
    private Integer actualCapacity;

    @ApiParam("月计划产量")
    private Integer monthPlanCapacity;

    @ApiParam("停机时间")
    private double stopTime;

    @ApiParam("时段产能")
    private Integer hourCapacity;

    @ApiParam("计划节拍")
    private Integer planTakt = 0;

    @ApiParam("今日完成产量")
    private Integer completeCapacity = 0;

    @ApiParam("时段产能")
    private Integer periodCapacity = 0;

    @ApiParam("看板时段计划产量")
    private List<MesBoardShiftSectionCapacity> boardShiftSectionCapacityList;

    @ApiParam("看板设备状态")
    private List<MesBoardEquStatus> boardEquStatusList;

    @ApiParam("看板设备明细")
    private List<MesBoardEquDetail> boardEquDetailList;

    @ApiParam("oee")
    private List<MesOee> oeeList;

    @ApiParam("工位状态监控明细")
    private List<MesBoardWorkCell> boardWorkCellList;
}
