package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Description : 涂装工单条码-展示组件model
 * @Reference :
 * @Author : adair.song
 * @CreateDate : 2020-06-21 11:02
 * @Modify:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("涂装工单条码展示组件model")
public class PaintWorkOrderSnModel extends BaseBean {

    @ApiParam("工单号")
    private String orderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("颜色代码")
    private String colorCode;

    @ApiParam("颜色名称")
    private String colorName;

    @ApiParam("工单数量")
    private Double workOrderQty;

    @ApiParam("包装数量")
    private Double packageQty;

    @ApiParam("项目名称")
    private String prodCfgTypeName;

    @ApiParam("圈数")
    private Integer groupNum;

    @ApiParam("工单状态")
    private Integer workOrderStatus;

    // 父阶物料号  -- 涂装客户标签打印
    @ApiParam("父阶物料号")
    private String parentPartNo;

    // 父阶物料名称  -- 涂装二次条码打印
    @ApiParam("父阶物料名称")
    private String parentPartName;

    @ApiParam("实际包装数量")
    private Integer compQty;

    private List<ProdPackModel> prodPackageList;

    private String partNameRdd;
}
