package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description : 工位结果bean
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-24
 * @Modify:
 **/
@Data
public class StationResultBean<T> implements Serializable {

    /**
     * 根据客户端所需数据结构，约定不同数据类型,message:信息、stepList:工步列表、stepContent：工步内容、
     * moduleContent组件内容,taskComplete整个扫描完成
     */
    @ApiParam("业务类型")
    private String busiType;

    /**
     * 对于相同业务类型的数据，区分不同数据类型。
     * 比如：包含table-表格，text-正常文本，expText-异常文本，button-按钮，
     * image-图片
     */
    @ApiParam("数据类型")
    private String dataType;

    @ApiParam("执行结果信息")
    private String message;

    @ApiParam("List结果集")
    private List<T> resultList;

    @ApiParam("结果对象")
    private Object resultObj;

    @ApiParam("Map结果集")
    public Map<String, Object> resultMap;

    @ApiParam("List结果集的属性")
    private List<AttrBean> dataAttrList;

    @ApiParam("图片路径")
    private String imageUrl;

    @ApiParam("多个数据集")
    private List<StationResultBean<T>> stationResultBeans;

    @ApiParam("定制页面名称")
    private String customPageName;

    @ApiParam("特殊展示数据")
    private Object specialDisplayData;

    @ApiParam("工位参数")
    private Map<String, String> wcpcMap = new HashMap<>();

    @ApiParam("定时秒数")
    private Integer timer;

    @ApiParam("提示音 1，2，3，4与前端约定")
    private Integer promptSound;
}
