package cn.estsh.i3plus.pojo.ptl.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_AREA_SECTION_TASK_DETAIL")
@EqualsAndHashCode(callSuper = true)
@Api("区段亮灯任务明细")
public class PtlAreaSectionTaskDetail extends BaseBean implements Serializable {

    private static final long serialVersionUID = 2881889608152445629L;

    @Column(name = "SECTION_TASK_NO")
    @ApiParam("区段任务编号")
    private String sectionTaskNo;

    @Column(name = "SECTION_NO")
    @ApiParam("区段编号")
    private String sectionNo;

    @Column(name = "AREA_NO")
    @ApiParam("区域编号")
    private String areaNo;

    @Column(name = "CONTROL_NO")
    @ApiParam("控制器编号")
    private String controlNo;

    @Column(name = "TAG_NO")
    @ApiParam("标签编号")
    private Integer tagNo;

    @Column(name = "TAG_TYPE")
    @ApiParam("标签类型")
    private Integer tagType;

    @Column(name = "PART_NO")
    @ApiParam("物料代码")
    private String partNo;

    @Column(name = "QTY")
    @ApiParam("拣货数量")
    private Integer qty = 0;

    @Column(name = "LIGHT_MODE")
    @ApiParam("亮灯方式")
    private Integer lightMode;

    @Column(name = "LIGHT_COLOR")
    @ApiParam("亮灯颜色")
    private Integer lightColor;

    @Column(name = "IS_BUZZING")
    @ApiParam("是否蜂鸣")
    private Integer isBuzzing;

    @Column(name = "MUSIC_TYPE")
    @ApiParam("音乐类型")
    private Integer musicType;

    @Column(name = "DISPLAY_CONTENT")
    @ApiParam("显示内容")
    private String displayContent;

    @Column(name = "BIN_NO")
    @ApiParam("bin位代码")
    private String binNo;

    @Column(name = "STATUS")
    @ApiParam("任务状态")
    private Integer status;
}
