package cn.estsh.i3plus.pojo.ptl.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/14 11:22
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_INTERFACE_ELEMENT_ATTRIBUTE")
@EqualsAndHashCode(callSuper = true)
@Api("界面元素属性")
public class PtlInterfaceElementAttribute extends BaseBean implements Serializable {

    private static final long serialVersionUID = -6093597374268730218L;

    @Column(name = "INTERFACE_NO")
    @ApiParam("界面代码")
    private String interfaceNo;

    @Column(name = "ATTRIBUTE_NO")
    @ApiParam("属性代码")
    private String attributeNo;

    @Column(name = "ATTRIBUTE_VALUE")
    @ApiParam("属性值")
    private String attributeValue;
}
