package cn.estsh.i3plus.pojo.ptl.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/14 11:18
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_METHOD")
@EqualsAndHashCode(callSuper = true)
@Api("方法清单")
public class PtlMethod extends BaseBean implements Serializable {

    private static final long serialVersionUID = 1208980343927922927L;

    @Column(name = "METHOD_CODE")
    @ApiParam("方法代码")
    private String methodCode;

    @Column(name = "METHOD_NAME")
    @ApiParam("方法描述")
    private String methodName;

    @Column(name = "CALL_CLASS")
    @ApiParam("实现类")
    private String callClass;

    @Column(name = "METHOD_TYPE")
    @ApiParam("方法类型")
    private Integer methodType;


}
