package cn.estsh.i3plus.pojo.ptl.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description : 打印机配置表
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2019-09-26 14:21
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="PTL_PRINTER_CONFIGURE")
@Api("打印机配置表")
public class PtlPrinterConfigure extends BaseBean implements Serializable {

    private static final long serialVersionUID = -226395857300082832L;

    @Column(name="PRINTER_NO")
    @ApiParam("打印机编号")
    private String printerNo;

    @Column(name="PRINTER_NAME")
    @ApiParam("打印机名称")
    private String printerName;

    @Column(name="IP")
    @ApiParam("IP")
    private String ip;

    @Column(name="PORT")
    @ApiParam("端口")
    private Integer port;

    @Column(name="OBJECT_DESCRIPTION")
    @ApiParam(value ="描述")
    private String objectDescription;

    @Column(name="POSITION")
    @ApiParam("位置")
    private String position;

    @Column(name="TYPE")
    @ApiParam("类型")
    private Integer type;
}