package cn.estsh.i3plus.pojo.ptl.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_TAG")
@EqualsAndHashCode(callSuper = true)
@Api("标签信息")
public class PtlTag extends BaseBean implements Serializable {

    private static final long serialVersionUID = -2431773668822112292L;

    @Column(name = "TAG_NO")
    @ApiParam("标签代码")
    private Integer tagNo;

    @Column(name = "CONTROL_NO")
    @ApiParam("控制器代码")
    private String controlNo;

    @Column(name = "AREA_NO")
    @ApiParam("区域代码")
    private String areaNo;

    @Column(name = "SECTION_NO")
    @ApiParam("区段代码")
    private String sectionNo;

    @Column(name = "PART_NO")
    @ApiParam("物料编号")
    private String partNo;

    @Column(name = "BIN_NO")
    @ApiParam("BIN位代码")
    private String binNo;

    @Column(name = "TAG_TYPE")
    @ApiParam("标签类型")
    private Integer tagType;

    @Column(name = "LIGHT_STATUS")
    @ApiParam("亮灯状态")
    private Integer lightStatus;

    @Column(name = "TAG_STATUS")
    @ApiParam("标签状态")
    private Integer tagStatus;

    @Column(name = "LIGHT_MODE")
    @ApiParam("亮灯方式")
    private Integer lightMode;

    @Column(name = "LIGHT_COLOR")
    @ApiParam("亮灯颜色")
    private Integer lightColor;

    @Column(name = "IS_BUZZING")
    @ApiParam("是否蜂鸣")
    private Integer isBuzzing;

    @Column(name = "MUSIC_TYPE")
    @ApiParam("音乐类型")
    private Integer musicType;

    @Column(name = "DISPLAY_CONTEXT")
    @ApiParam("显示内容")
    private String displayContent;

    @Column(name = "ERROR_COUNT")
    @ApiParam("卡键次数")
    private Integer errorCount;

    @Column(name = "CUSTOM_ATTRIBUTE")
    @ApiParam("自定义属性")
    private String customAttribute;

}
