package cn.estsh.i3plus.pojo.ptl.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 20-1-10 下午5:16
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="PTL_TEST_USER")
@Api(value="PTL 测试用户",description = "测试用户")
public class PtlTestUser extends BaseBean implements Serializable {

    private static final long serialVersionUID = -130240511327784335L;

    @Column(name="USER_INFO_ID")
    @ApiParam(value ="人员ID" , example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userInfoId;

    @Column(name="LANGUAGE_CODE")
    @ApiParam(value ="用户语言")
    private String languageCode;

    @Column(name="USER_NAME_RDD")
    @ApiParam(value ="用户名称" , access ="账号名称")
    private String userName;

    @Column(name="USER_LOGIN_NAME")
    @ApiParam(value ="登陆名称" , access ="登陆名称")
    private String userLoginName;

    @Column(name="USER_EMP_NO")
    @ApiParam(value ="工号")
    private String userEmpNo;

    @Column(name="USER_LOGIN_PASSWORD")
    @ApiParam(value ="登陆密码")
    private String userLoginPassword;

    @Column(name="USER_TYPE")
    @ApiParam(value ="账号类型（枚举，待定）" , example ="-1")
    private Integer userType;

    @Column(name="USER_EMAIL")
    @ApiParam(value ="邮箱" , access ="邮箱")
    private String userEmail;

    @Column(name="USER_PHONE")
    @ApiParam(value ="手机号" , access ="手机号")
    private String userPhone;

}
