package cn.estsh.i3plus.pojo.sweb.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : sweb系统配置
 * @Reference :
 * @Author : jack.lv
 * @CreateDate : 2019-04-19 11:06
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "SWEB_CONFIG")
@Api(value = "系统配置", description = "SWEB系统配置")
public class SwebConfig  extends BaseBean {

    private static final long serialVersionUID = -3064110608740977782L;
    @Column(name = "NAME")
    @ApiParam(value = "名称")
    private String name;

    @Column(name = "CONFIG_TYPE")
    @ApiParam(value = "参数类型ID（枚举：1.系统配置...）", example = "-1")
    private Integer configType;

    @Column(name = "CONFIG_CODE")
    @ApiParam(value = "参数代码")
    private String configCode;

    // 枚举 ImppEnumUtil.SYS_CONFIG_GROUP
    @Column(name = "CONFIG_GROUP")
    @ApiParam(value = "参数组")
    private Integer configGroup;

    // 枚举 ImppEnumUtil.SYS_VALUE_TYPE
    @Column(name = "CONFIG_VALUE_TYPE")
    @ApiParam(value = "参数值类型")
    private String configValueType;

    @Column(name = "CONFIG_VALUE")
    @ApiParam(value = "参数值")
    private String configValue;

    @Column(name = "CONFIG_DESCRIPTION")
    @ApiParam(value = "参数描述")
    private String configDescription;
}
