package cn.estsh.i3plus.pojo.sweb.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Transient;
import java.util.Map;

/**
 * @Description : 待发布订单列表输出模型
 * @Reference :
 * @Author : jack.lv
 * @CreateDate : 2019-04-02 13:13
 * @Modify:
 **/
@Data
public class SwebPOForPubListResultItemModel extends BaseBean {

    private static final long serialVersionUID = -6156680045478117732L;
    @Column(name = "ORDER_NO")
    @ApiParam("单据号")
    private String orderNo;

    @Column(name = "PART_NO")
    @ApiParam(value = "零件号")
    private String partNo;

    @ApiParam("供应商编号")
    @Column(name = "VENDOR_CODE")
    private String vendorCode;

    @ApiParam("供应商名称")
    @Column(name = "VENDOR_NAME")
    private String vendorName;

    @Column(name = "REF_NO")
    @ApiParam(value = "合同号")
    private String refNo;

    @Column(name = "PART_NAME")
    @ApiParam(value = "零件名称")
    private String partName;

    @ApiParam(value = "单位")
    @Column(name = "UNIT")
    private String unit;

    @ApiParam(value = "订单状态", example = "1")
    @Column(name = "ITEM_STATUS")
    private Integer itemStatus;

    @ApiParam(value = "订单类型", example = "10")
    @Column(name = "ORDER_TYPE")
    public Integer orderType;

    @ApiParam(value = "时间数量列表", example = "1")
    public Map<String, Double> timeObject;

    @Transient
    @ApiParam(value = "是否可编辑（前端使用）")
    public boolean isSet = false;

    @Transient
    @ApiParam(value = "预计到货日期")
    public String expectedTime;
}
