package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : BH检测大类表
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-05-23
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "QMS_CHECK_TYPE")
@Api("物料子检测项")
public class QmsCheckType extends BaseBean {

    private static final long serialVersionUID = -4867744538301370899L;

    @Column(name = "CHECK_TYPE_CODE")
    @ApiParam("检测大类代码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT, isRequire = 2)
    private String checkTypeCode;

    @Column(name = "CHECK_TYPE_NAME")
    @ApiParam("检测大类名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT, isRequire = 2)
    private String checkTypeName;

    @Column(name = "REMARK")
    @ApiParam("备注")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT, isRequire = 2)
    private String remark;
}
