package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 业务类型
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2019-05-06 14:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_BUSI_TYPE")
@Api("业务类型信息")
public class WmsBusiType extends BaseBean {

    private static final long serialVersionUID = -5401677317639542934L;
    @Column(name = "BUSI_TYPE_CODE")
    @ApiParam(value = "类型编号")
    private Integer busiTypeCode;

    @Column(name = "BUSI_TYPE_NAME")
    @ApiParam(value = "类型名称")
    private String busiTypeName;

    @Column(name = "SEQ")
    @ApiParam(value = "序号", example = "-1")
    private Integer seq;

    /**
     * 移动类型:IN=入库,OUT=出库,MOVE=移库
     */
    @Column(name = "MOVE_TYPE")
    @ApiParam("移动类型")
    public Integer moveType;

    /**
     * 是否启用波次计划 1-是，2-否
     */
    @Column(name = "IS_ENABLE_WAVE")
    @ApiParam("是否启用波次计划")
    public Integer isEnableWave;
}
