package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : COI对照表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-06-09 16:59
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_COI")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="COI对照表",description = "COI对照表")
public class WmsCoi extends BaseBean {

    private static final long serialVersionUID = -8298385889006722335L;

    @Column(name = "PART_NO")
    @ApiParam(value = "物料编号")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam(value = "物料名称")
    private String partName;

    @Column(name = "PART_VOL")
    @ApiParam(value = "体积")
    private Double partVol;

    @Column(name = "TRUNROUND_RATE")
    @ApiParam(value = "周转率")
    private Double trunroundRate;

    @Column(name = "COI_VALUE")
    @ApiParam(value = "COI值")
    private Double coiValue;

    @Column(name = "LAST_UPDATE_DATE")
    @ApiParam(value = "末次更新日期")
    private String lastUpdateDate;

    @Column(name = "FREQUENCY")
    @ApiParam(value = "频次")
    private Double frequency;

    @Column(name = "LOCATE_NO")
    @ApiParam(value = "库位")
    private String locateNo;
}
