package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description : WMS数据迁移配置表
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2020-01-08 14:21
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_DATA_MIGRATION_CONFIG")
@Api("WMS数据迁移配置表")
public class WmsDataMigrationConfig extends BaseBean{

    private static final long serialVersionUID = 9214639813072592777L;

    @Column(name="MIG_NAME")
    @ApiParam("名称")
    private String migName;

    @Column(name="REMARK")
    @ApiParam("描述")
    private String remark;

    @Column(name="MIGRATION_CYCLE")
    @ApiParam("迁移周期")
    private String migrationCycle;

    @Column(name="LAST_EXECUTION_TIME")
    @ApiParam("末次迁移时间")
    private String lastExecutionTime;

    @Column(name="LAST_MRGRATION_QTY")
    @ApiParam(value = "末次迁移记录数", example = "0")
    private Integer lastmMigrationQty;

    @Column(name="NEXT_EXECUTION_TIME")
    @ApiParam("下次执行时间")
    private String nextExecutionTime;

    @Column(name="SRC_TABLE_NAME")
    @ApiParam("来源表名")
    private String srcTableName;

    @Column(name="SRC_QUERY_CONDITIONS")
    @ApiParam("来源表查询条件")
    private String srcQueryConditions;

    @Column(name="PROCESS_QTY")
    @ApiParam(value = "每次处理行数", example = "0")
    private Integer processQty;

    @Column(name="DEST_TABLE_NAME")
    @ApiParam("目标表名")
    private String destTableName;

    @Column(name="IS_PHYSICAL_DELETE")
    @ApiParam(value = "是否物理删除", example = "0")
    private Integer isPhysicalDelete;

    @Column(name="ERROR_MESSAGE")
    @ApiParam("执行错误日志")
    private String errorMessage;

    @Transient
    @ApiParam(value ="开始时间")
    private String mcStartTime;

    @Transient
    @ApiParam(value ="结束时间")
    private String mcEndTime;
}