package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 道口窗口时间
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-03-29
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_DOCK_WINDOW_TIME")
@Api("道口窗口时间")
public class WmsDockWindowTime extends BaseBean {

    private static final long serialVersionUID = -3188113111546998811L;
    @Column(name="DOCK_CODE")
    @ApiParam("道口代码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT, isRequire = 2)
    private String dockCode;

    @Column(name="WINDOW_TIME")
    @ApiParam("窗口时间")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.DATETIME)
    private String windowTime;
}
