package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 数据字典-枚举
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-07-30
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_ENUM")
@Api("数据字典-枚举")
public class WmsEnum extends BaseBean {
    private static final long serialVersionUID = -6422649826279645604L;

    @Column(name = "ENUM_TYPE")
    @ApiParam(value = "枚举类型")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String enumType;

    @Column(name = "ENUM_TYPE_DESC")
    @ApiParam(value = "枚举类型描述")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String enumTypeDesc;

    @Column(name = "ENUM_VALUE_SEQ")
    @ApiParam(value = "枚举值序号")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.NUMBER)
    private Integer enumValueSeq;

    @Column(name = "ENUM_VALUE")
    @ApiParam(value = "枚举值")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String enumValue;

    @Column(name = "ENUM_VALUE_DESC")
    @ApiParam(value = "枚举值描述")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String enumValueDesc;
}
