package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description :物料包装关系
 * @Reference :
 * @Author :
 * @CreateDate : 2019-11-07 16:06
 * @Modify: 2020-04-27 修改头部描述-dragon
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_PART_PACKAGE")
@Api("物料包装关系")
public class WmsPartPackage extends BaseBean {
    private static final long serialVersionUID = 4849044986767609345L;
    @ApiParam(value = "物料编码")
    private String partNo;

    @Column(name = "SPEC_CODE")
    @ApiParam(value = "包装规格代码")
    private String specCode;

    @Column(name = "SNP_QTY")
    @ApiParam(value = "单包装数量")
    private String snpQty;

    @Column(name = "BOX_QTY")
    @ApiParam(value = "包装箱数")
    private String boxQty;

    @Column(name = "IS_DEFAULT")
    @ApiParam(value = "是否默认包规")
    private Integer isDefault;

    @Column(name = "IS_MIXED")
    @ApiParam(value = "是否混包")
    private Integer isMixed;

    @Column(name = "IS_PRINT")
    @ApiParam(value = "是否打印包装清单")
    private Integer isPrint;

    @Column(name = "TEMPLATE_NO")
    @ApiParam(value = "包装清单模板")
    private String templateNo;

    @Column(name = "POCKET_TYPE")
    @ApiParam(value = "容器类型")
    private String pocketType;

    @ApiParam(value = "包装规格名称")
    @Transient
    private String specName;
}
