package cn.estsh.i3plus.pojo.wms.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :供应商物料每月数量
 * @Reference :
 * @Author : gcj
 * @CreateDate : 2019-11-27 16:06
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_PICK_COUNT")
@Api("供应商物料每月数量")
public class WmsPickCount extends BaseBean {

    private static final long serialVersionUID = 4849044986767609486L;
    @Column(name = "YEAR")
    @ApiParam(value = "年")
    private String year;

    @Column(name = "MONTH")
    @ApiParam(value = "月")
    private String month;

    @Column(name = "VENDOR_NO")
    @ApiParam(value = "供应商编码")
    private String vendorNo;

    @Column(name = "PART_NO")
    @ApiParam(value = "物料号")
    private String partNo;

    @Column(name = "QTY", nullable = false)
    @ApiParam(value = "数量")
    @ColumnDefault("0")
    private Double qty;

}
