package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 产品项目
 * @Reference :
 * @Author : jessica
 * @CreateDate : 2019-06-10 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_PROD_CFG_TYPE")
@Api("项目信息")
public class WmsProdCfgType extends BaseBean {

    private static final long serialVersionUID = -131043081244530896L;
    @Column(name="PROD_CFG_TYPE_CODE")
    @ApiParam("项目代码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    public String prodCfgTypeCode;

    @Column(name="PROD_CFG_TYPE_NAME")
    @ApiParam("项目名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    public String prodCfgTypeName;

}
