package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 物流供应商
 * @Reference :
 * @Author : qianhuasheng
 * @CreateDate : 2020-05-06 14:50
 * @Modify:
 **/
@Data
@Entity
@Table(name = "WMS_PROVIDER_FLAG")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value = "物流供应商关系", description = "库存物流供应商关系条码信息")
public class WmsProviderFlag extends BaseBean {

    private static final long serialVersionUID = -4732299479463118555L;
    @Column(name = "ORGANIZE_NAME")
    @ApiParam(value = "工厂名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String organizeName;


    @Column(name = "VENDOR_NO")
    @ApiParam(value = "物流供应商")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam(value = "物流供应商名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String vendorName;

    @Column(name = "SHIPPING_FLAG")
    @ApiParam(value = "发往地编号")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String shippingFlag;

    @Column(name = "SHIPPING_FLAG_NAME")
    @ApiParam(value = "发往地编号")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String shippingFlagName;
}
