package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;

/**
 * @Description : WMS回显模板数据
 * @Reference :
 * @Author : siliter
 * @CreateDate : 2020-05-11 09:41
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_THYMELEAF")
@Api("WMS回显模板数据")
public class WmsThymeleaf extends BaseBean {

    private static final long serialVersionUID = -5751852067398308165L;

    @Column(name = "TL_CODE")
    @ApiParam("模板代码")
    private String tlCode;

    @Column(name = "TL_DESC")
    @ApiParam("模板描述")
    private String tlDesc;

    @Column(name = "PROMPT_MSG")
    @ApiParam("引导消息")
    private String promptMsg;

    @Lob
    @Column(name = "TL_CONTENT", columnDefinition = "TEXT")
    @ApiParam(value = "模板内容")
    private String tlContent;
}
