package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 供应商父子关系
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-04-11
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_VENDOR_RELATION")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="供应商父子关系",description = "供应商父子关系")
public class WmsVendorRelation extends BaseBean {

    private static final long serialVersionUID = 723387673958938803L;
    @Column(name = "VENDOR_NO")
    @ApiParam(value = "供应商编号")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam(value = "供应商名称")
    private String vendorName;

    @Column(name = "SUB_VENDOR_CODE")
    @ApiParam(value = "子供应商编号")
    private String subVendorNo;

    @Column(name = "SUB_VENDOR_NAME")
    @ApiParam(value = "子供应商名称")
    private String subVendorName;
}
