package cn.estsh.i3plus.pojo.wms.bean.plugin;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 插件信息
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2020-03-17 14:21
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="BAS_PLUGIN")
@Api("插件信息")
public class BasPlugin extends BaseBean{

    private static final long serialVersionUID = 9214639813072592779L;
    @Column(name="PLUGIN_NAME")
    @ApiParam("插件名称")
    private String pluginName;

    @Column(name="PLUGIN_IMAGE")
    @ApiParam("插件图片")
    private String pluginImage;

    @Column(name="PLUGIN_URL")
    @ApiParam("插件URL地址")
    private String pluginUrl;

    @Column(name="PLUGIN_PATH")
    @ApiParam("插件文件地址")
    private String pluginPath;

    @Column(name="PLUGIN_FILE_ID")
    @ApiParam(value = "插件文件ID", example = "0")
    private Long pluginFileId;

    @Column(name="PLUGIN_DESC")
    @ApiParam("插件描述")
    private String pluginDesc;

    @Column(name="SERVICE_NAME")
    @ApiParam("服务名称")
    private String serviceName;

    @Column(name="REQUEST_URL")
    @ApiParam("请求路径")
    private String requestUrl;

    @Column(name = "COPYRIGHT")
    @ApiParam(value = "版权")
    private String copyRight;

    @Column(name = "AUTHOR")
    @ApiParam(value = "作者")
    private String author;

    /**
     *  插件安装状态 1-安装，2-卸载
     */
    @Column(name = "PLUGIN_STATUS")
    @ApiParam(value = "插件状态", example = "1")
    private Integer pluginStatus;

    @Column(name = "PLUGIN_PACKAGE_NAME")
    @ApiParam(value = "插件项目包名称")
    private String pluginPackName;

    /**
     * 插件类型 10-PDA功能插件，20-交易处理插件
     */
    @Column(name="PLUGIN_TYPE")
    @ApiParam(value = "插件类型", example = "10")
    private Integer pluginType;
}