package cn.estsh.i3plus.pojo.wms.bean.plugin;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;

/**
 * @Description : 插件类信息
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2020-03-17 14:21
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="BAS_PLUGIN_CLASS")
@Api("插件类信息")
public class BasPluginClass extends BaseBean{

    private static final long serialVersionUID = 9214639813072592779L;
    @Column(name="PLUGIN_ID")
    @ApiParam(value = "插件编号", example = "0")
    private Long pluginId;

    @Column(name="BEAN_NAME")
    @ApiParam("Bean名称")
    private String beanName;

    @Column(name="CLASS_NAME")
    @ApiParam("插件类名称")
    private String className;

    @Lob
    @Column(name="CLASS_BYTE", length = 100000)
    @ApiParam("插件类字节码")
    private byte[] classByte;
}